.lista-atores-scroll {
    display: flex;
    gap: 15px;
    overflow-x: auto;
    padding-bottom: 10px;
    scroll-behavior: smooth;
}
.lista-atores-scroll .ator-card {
    flex: 0 0 calc(12.5% - 15px); /* 8 cards visíveis */
    max-width: calc(12.5% - 15px);
}




.lista-atores{
    gap: 15px;
    grid-template-columns: repeat(auto-fill, minmax(10%, 1fr));
    width: 99%;
    margin: 5px auto;
    display: grid;
}

.ator-card {
    display: flex;
    flex-direction: column;
    text-decoration: none;
    transition: transform 0.25s ease;
    background-color: #242424;
    border-radius: 8px;
    border: 1px solid rgba(88, 15, 15, 0.12);
    height: 100%;
}

.ator-card:hover {
    transform: translateY(-4px);
    border-color: var(--atForte);
    box-shadow: 0 0 12px rgba(223,255,78,0.25);
}


.ator-nome {
    margin-top: auto;
    padding: 5px 1px;

    font-size: 0.95rem;
    text-align: center;

    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;

}

.ator-img {
    position: relative;
    width: 100%;
    aspect-ratio: 3 / 4;
    overflow: hidden;
    border-radius: 6px;
    background: #111;
}


.ator-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.3s ease;
}

.atorHeader {
  display: flex;
  align-items: center;
  gap: 1rem;
}

img.imgAtor {
  max-height: 7rem;
  width: auto;
  border-radius: 6px;
}

span.tituloAtor {
  font-size: 1.6rem;
  font-weight: 600;
  line-height: 1.2;
}


.abrir-nova-aba {
    position: absolute;
    top: 6px;
    right: 6px;
    background: rgba(0,0,0,.7);
    color: #fff;
    font-size: 1rem;
    padding: 0.5rem ;
    border-radius: 4px;
    cursor: pointer;
    opacity: 0;
    transition: opacity .2s ease, background .2s ease;
}

.ator-card:hover .abrir-nova-aba {
    opacity: 1;
}

.abrir-nova-aba:hover {
    background: var(--atForte);
    color: #000;
}


.paginacao {
  display: flex;
  justify-content: center;
  gap: .5rem;
  margin-top: 1.5rem;
}

.paginacao a {
  padding: .4rem .7rem;
  border-radius: 4px;
  background: #222;
  color: #aaa;
  text-decoration: none;
}

.paginacao a.ativo {
  background: var(--atForte);
  color: #000;
}

